## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesDOMImplementationBridge Class Reference

This class is deprecated. More...

Inheritance diagram for XercesDOMImplementationBridge:

[legend]
Collaboration diagram for XercesDOMImplementationBridge:

[legend]
List of all members.

## Public Member Functions

- XercesDOMImplementationBridge (DOM_DOMImplementationType &theXercesDOMImplementation)
- virtual ~XercesDOMImplementationBridge ()

Getter functions

- virtual bool hasFeature (const XalanDOMString &feature, const XalanDOMString &version)
    Test if the DOM implementation implements a specific feature.

Functions introduced in DOM Level 2.

- virtual XalanDocumentType * createDocumentType (const XalanDOMString &qualifiedName, const XalanDOMString &publicId, const XalanDOMString &systemId)
    Creates an empty `DOM_DocumentType` node.
- virtual XalanDocument * createDocument (const XalanDOMString &namespaceURI, const XalanDOMString &qualifiedName, const XalanDocumentType &doctype)
    Creates an XML `DOM_Document` object of the specified type with its document element.
- DOM_DOMImplementationType & getXercesNode () const
    Get the Xerces node this instance represent.

## Detailed Description

This class is deprecated.

Deprecated:
  This class is part of the deprecated Xerces DOM bridge.

## Constructor & Destructor Documentation

XercesDOMImplementationBridge::XercesDOMImplementationBridge | ( | DOM_DOMImplementationType & | theXercesDOMImplementation | ) |

virtual XercesDOMImplementationBridge::~XercesDOMImplementationBridge | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual XalanDocument* XercesDOMImplementationBridge::createDocument | ( | const XalanDOMString & | namespaceURI,
|  | const XalanDOMString & | qualifiedName,
|  | const XalanDocumentType & | doctype
| ) | `[virtual]`

Creates an XML `DOM_Document` object of the specified type with its document element.

Parameters:

  namespaceURI | The namespace URI of the document element to create, or `null`.
  qualifiedName | The qualified name of the document element to be created.
  doctype | The type of document to be created or `null`.

When `doctype` is not `null`, its `Node.ownerDocument` attribute is set to the document being created.

Returns:
  A new `Document` object.

Exceptions:

  DOMException | WRONG_DOCUMENT_ERR: Raised if `doctype` has already been used with a different document.

Implements XalanDOMImplementation.

virtual XalanDocumentType* XercesDOMImplementationBridge::createDocumentType | ( | const XalanDOMString & | qualifiedName,
|  | const XalanDOMString & | publicId,
|  | const XalanDOMString & | systemId
| ) | `[virtual]`

Creates an empty `DOM_DocumentType` node.

Entity declarations and notations are not made available. Entity reference expansions and default attribute additions do not occur. It is expected that a future version of the DOM will provide a way for populating a `DOM_DocumentType`.

Parameters:

  qualifiedName | The qualified name of the document type to be created.
  publicId | The external subset public identifier.
  systemId | The external subset system identifier.

Returns:
  A new `DocumentType` node with `Node.ownerDocument` set to `null`.

Implements XalanDOMImplementation.

DOM_DOMImplementationType& XercesDOMImplementationBridge::getXercesNode | ( |  | ) | const

Get the Xerces node this instance represent.

Returns:
  The Xerces node

virtual bool XercesDOMImplementationBridge::hasFeature | ( | const XalanDOMString & | feature,
|  | const XalanDOMString & | version
| ) | `[virtual]`

Test if the DOM implementation implements a specific feature.

Parameters:

  feature | The string of the feature to test (case-insensitive). The legal values are defined throughout this specification. The string must be an XML name (see also Compliance).
  version | This is the version number of the package name to test. In Level 1, this is the string "1.0". If the version is not specified, supporting any version of the feature will cause the method to return `true`.

Returns:
  `true` if the feature is implemented in the specified version, `false` otherwise.

Implements XalanDOMImplementation.

The documentation for this class was generated from the following file:

- XercesDOMImplementationBridge.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.